MSTOHZ(9) | Kernel Developer's Manual | MSTOHZ(9)

# NAME

`mstohz`, `hztoms` —
convert between milliseconds and system clock ticks

# SYNOPSIS

`#include <sys/param.h>`

int
`mstohz`(int ms);

int
`hztoms`(int hz);

# DESCRIPTION

The `mstohz`() macro can be used to convert time in milliseconds to system clock ticks, as used by the callout(9) facility, in an integer-overflow safe way. Conversely, `hztoms`() converts system clock ticks to milliseconds.

These macros are defined in the ⟨sys/param.h⟩ header. Individual ports can have a processor-specific, more efficient version implemented in their ⟨machine/param.h⟩ header as a define.

# RETURN VALUES

The return value is either the number of clock ticks or milliseconds for the specified value.

# SEE ALSO

param(3), callout(9), tvtohz(9)

# BUGS

Neither `mstohz`() nor `hztoms`() make use of expensive 64-bit integer arithmetic. The result from `mstohz`() will be rounded down to one second if the parameter is larger than 131072 milliseconds.

October 20, 2011 | NetBSD 9.0